<?xml version="1.0"?>
<root>
  <network_manager>
    <local_connection>
      <device_api_ver>3</device_api_ver>
      <port_id>USB</port_id>
      <timing_master>1</timing_master>
      <async_bandwidth>212</async_bandwidth>
      <endpoint>
        <data_type>CTRL</data_type>
        <dir>IN</dir>
        <channel_addr_hex>8f</channel_addr_hex>
      </endpoint>
      <endpoint>
        <data_type>CTRL</data_type>
        <dir>OUT</dir>
        <channel_addr_hex>f</channel_addr_hex>
      </endpoint>
    </local_connection>

    <!-- Server device with OS81118 D-Rev -->
    <device>
      <device_type_hex>311</device_type_hex>
      <device_api_ver>3</device_api_ver>
      <channel>
        <!-- ALSA 5.1 channel -->
        <channel_id>1</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <channel_addr_hex>1</channel_addr_hex>
          <number_of_buffers>16</number_of_buffers>
          <buffer_size>5040</buffer_size>
          <packets_per_xact>42</packets_per_xact>
          <subbuffer_size>12</subbuffer_size>
          <offset>0</offset>
          <aim_type>AUDIO</aim_type>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
        </socket>
      </channel>
      <channel>
        <channel_id>2</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <channel_addr_hex>1</channel_addr_hex>
          <number_of_buffers>16</number_of_buffers>
          <buffer_size>5040</buffer_size>
          <packets_per_xact>42</packets_per_xact>
          <subbuffer_size>12</subbuffer_size>
          <offset>4</offset>
          <aim_type>AUDIO</aim_type>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
        </socket>
      </channel>
      <channel>
        <channel_id>3</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <channel_addr_hex>1</channel_addr_hex>
          <number_of_buffers>16</number_of_buffers>
          <buffer_size>5040</buffer_size>
          <packets_per_xact>42</packets_per_xact>
          <subbuffer_size>12</subbuffer_size>
          <offset>8</offset>
          <aim_type>AUDIO</aim_type>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
        </socket>
      </channel>
      <channel>
        <channel_id>4</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>ISOC</data_type>
          <dir>IN</dir>
          <channel_addr_hex>2</channel_addr_hex>
          <subbuffer_size>188</subbuffer_size>
          <number_of_buffers>32</number_of_buffers>
          <buffer_size>7520</buffer_size>
          <packets_per_xact>2</packets_per_xact>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>ISOC</data_type>
          <dir>OUT</dir>
          <blockwidth>80</blockwidth>
          <subbuffer_size>188</subbuffer_size>
        </socket>
      </channel>
      <channel>
        <channel_id>5</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>ISOC</data_type>
          <dir>OUT</dir>
          <channel_addr_hex>81</channel_addr_hex>
          <subbuffer_size>188</subbuffer_size>
          <number_of_buffers>32</number_of_buffers>
          <buffer_size>7520</buffer_size>
          <packets_per_xact>2</packets_per_xact>
          <aim_type>V4L</aim_type>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>ISOC</data_type>
          <dir>IN</dir>
          <blockwidth>60</blockwidth>
        </socket>
      </channel>
    </device>

    <!-- Slim amplifier 1 with OS81118 -->
    <device>
      <device_type_hex>370</device_type_hex>
      <device_api_ver>3</device_api_ver>
      <script>i2c-slim-amplifier-v2.3.script</script>
      <channel>
        <channel_id>1</channel_id>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <blockwidth>4</blockwidth>
        </socket>
        <socket>
          <port_id>I2S</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
          <i2s_option>DualOut</i2s_option>
          <i2s_clock_dir>Output</i2s_clock_dir>
          <i2s_clock_delay>1</i2s_clock_delay>
          <i2s_fs_speed>64</i2s_fs_speed>
          <i2s_align>Left16</i2s_align>
          <i2s_pin>SRXA0</i2s_pin>
        </socket>
      </channel>
    </device>

    <!-- Slim amplifier 2 with OS81118 -->
    <device>
      <device_type_hex>371</device_type_hex>
      <device_api_ver>3</device_api_ver>
      <script>i2c-slim-amplifier-v2.3.script</script>
      <channel>
        <channel_id>1</channel_id>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <blockwidth>4</blockwidth>
        </socket>
        <socket>
          <port_id>I2S</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
          <i2s_option>DualOut</i2s_option>
          <i2s_clock_dir>Output</i2s_clock_dir>
          <i2s_clock_delay>1</i2s_clock_delay>
          <i2s_fs_speed>64</i2s_fs_speed>
          <i2s_align>Left16</i2s_align>
          <i2s_pin>SRXA0</i2s_pin>
        </socket>
      </channel>
    </device>

    <!-- Slim amplifier 3 with OS81118 -->
    <device>
      <device_type_hex>372</device_type_hex>
      <device_api_ver>3</device_api_ver>
      <script>i2c-slim-amplifier-v2.3.script</script>
      <channel>
        <channel_id>1</channel_id>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <blockwidth>4</blockwidth>
        </socket>
        <socket>
          <port_id>I2S</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
          <i2s_option>DualOut</i2s_option>
          <i2s_clock_dir>Output</i2s_clock_dir>
          <i2s_clock_delay>1</i2s_clock_delay>
          <i2s_fs_speed>64</i2s_fs_speed>
          <i2s_align>Left16</i2s_align>
          <i2s_pin>SRXA0</i2s_pin>
        </socket>
      </channel>
    </device>

    <!-- RSE with OS81118 USB -->
    <device>
      <device_type_hex>332</device_type_hex>
      <device_api_ver>3</device_api_ver>
      <channel>
        <!-- 1st Channel: Iosc RX -->
        <channel_id>1</channel_id>
        <socket>
          <port_id>MOST</port_id>
          <data_type>ISOC</data_type>
          <dir>IN</dir>
          <blockwidth>80</blockwidth>
          <subbuffer_size>188</subbuffer_size>
        </socket>
        <socket>
          <port_id>USB</port_id>
          <data_type>ISOC</data_type>
          <dir>OUT</dir>
          <buffer_size>7520</buffer_size>
          <packets_per_xact>2</packets_per_xact>
          <channel_addr_hex>83</channel_addr_hex>
          <subbuffer_size>188</subbuffer_size>
        </socket>
      </channel>
      <!-- 2nd Channel: Sync HMI Audio TX -->
      <channel>
        <channel_id>2</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <channel_addr_hex>4</channel_addr_hex>
          <number_of_buffers>16</number_of_buffers>
          <buffer_size>7520</buffer_size>
          <packets_per_xact>128</packets_per_xact>
          <subbuffer_size>4</subbuffer_size>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
        </socket>
      </channel>
      <channel>
        <channel_id>3</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>ISOC</data_type>
          <dir>OUT</dir>
          <channel_addr_hex>81</channel_addr_hex>
          <subbuffer_size>188</subbuffer_size>
          <number_of_buffers>32</number_of_buffers>
          <buffer_size>7520</buffer_size>
          <packets_per_xact>2</packets_per_xact>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>ISOC</data_type>
          <dir>IN</dir>
          <blockwidth>60</blockwidth>
        </socket>
      </channel>
    </device>

    <!-- MOST camera with OS88133 -->
    <device>
      <device_type_hex>340</device_type_hex>
      <device_api_ver>3</device_api_ver>
      <script>camera-os88133-ap0100.script</script>
      <channel>
        <channel_id>1</channel_id>
        <socket>
          <port_id>MLB</port_id>
          <data_type>ISOC</data_type>
          <dir>IN</dir>
          <blockwidth>60</blockwidth>
          <channel_addr_hex>a</channel_addr_hex>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>ISOC</data_type>
          <dir>OUT</dir>
          <blockwidth>100</blockwidth>
        </socket>
      </channel>
    </device>

    <!-- MOST camera with OS88122 -->
    <device>
      <device_type_hex>321</device_type_hex>
      <device_api_ver>1</device_api_ver>
      <open_mlb_port_speed>3072</open_mlb_port_speed>
      <script>camera-os88122-ts.script</script>
      <channel>
        <channel_id>1</channel_id>
        <socket>
          <port_id>MLB</port_id>
          <data_type>ISOC</data_type>
          <dir>IN</dir>
          <blockwidth>60</blockwidth>
          <channel_addr_hex>a</channel_addr_hex>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>ISOC</data_type>
          <dir>OUT</dir>
          <blockwidth>60</blockwidth>
        </socket>
      </channel>
    </device>

    <!-- Routing 5.1 channel (1/3)-->
    <route>
      <terminal>
        <device_type_hex>311</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>370</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
    </route>

    <!-- Routing 5.1 channel (2/3)-->
    <route>
      <terminal>
        <device_type_hex>311</device_type_hex>
        <instance>0</instance>
        <channel_id>2</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>371</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
    </route>

    <!-- Routing 5.1 channel (3/3)-->
    <route>
      <terminal>
        <device_type_hex>311</device_type_hex>
        <instance>0</instance>
        <channel_id>3</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>372</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
    </route>

    <!-- Routing VoD Video-->
    <route>
      <terminal>
        <device_type_hex>311</device_type_hex>
        <instance>0</instance>
        <channel_id>4</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>332</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>332</device_type_hex>
        <instance>1</instance>
        <channel_id>1</channel_id>
      </terminal>
    </route>

    <!-- Routing Camera Video-->
    <route>
      <terminal>
        <device_type_hex>321</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>340</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>311</device_type_hex>
        <instance>0</instance>
        <channel_id>5</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>332</device_type_hex>
        <instance>0</instance>
        <channel_id>3</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>332</device_type_hex>
        <instance>1</instance>
        <channel_id>3</channel_id>
      </terminal>
    </route>


  </network_manager>
</root>
